Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml
Class JavaBeanDumper

    java.lang.Object
      org.yaml.snakeyaml.JavaBeanDumper

Deprecated. use Yaml.dumpAs(data, Tag.MAP) instead

    public class JavaBeanDumper

extends Object

Convenience utility to serialize JavaBeans.

Constructor Summary
`JavaBeanDumper()` Deprecated. Create Dumper for JavaBeans.
`JavaBeanDumper(BeanAccess beanAccess)` Deprecated.
`JavaBeanDumper(boolean useGlobalTag)` Deprecated.
`JavaBeanDumper(boolean useGlobalTag, BeanAccess beanAccess)` Deprecated. Create Dumper for JavaBeans
`JavaBeanDumper(Representer representer, DumperOptions options)` Deprecated.

Method Summary
`String` | `dump(Object data)` Deprecated. Serialize JavaBean
`void` | `dump(Object data, Writer output)` Deprecated. Serialize JavaBean
`DumperOptions.FlowStyle` | `getFlowStyle()` Deprecated.
`boolean` | `isUseGlobalTag()` Deprecated.
`void` | `setFlowStyle(DumperOptions.FlowStyle flowStyle)` Deprecated.
`void` | `setUseGlobalTag(boolean useGlobalTag)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBeanDumper

    public JavaBeanDumper(boolean useGlobalTag,
                          BeanAccess beanAccess)

  Deprecated.
  Create Dumper for JavaBeans

  Parameters:
    `useGlobalTag` - true to emit the global tag with the class name

### JavaBeanDumper

    public JavaBeanDumper(boolean useGlobalTag)

  Deprecated.

### JavaBeanDumper

    public JavaBeanDumper(BeanAccess beanAccess)

  Deprecated.

### JavaBeanDumper

    public JavaBeanDumper()

  Deprecated.
  Create Dumper for JavaBeans. Use "tag:yaml.org,2002:map" as the root tag.

### JavaBeanDumper

    public JavaBeanDumper(Representer representer,
                          DumperOptions options)

  Deprecated.

Method Detail

### dump

    public void dump(Object data,
                     Writer output)

  Deprecated.
  Serialize JavaBean

  Parameters:
    `data` - JavaBean instance to serialize
    `output` - destination

### dump

    public String dump(Object data)

  Deprecated.
  Serialize JavaBean

  Parameters:
    `data` - JavaBean instance to serialize
  Returns:
    serialized YAML document

### isUseGlobalTag

    public boolean isUseGlobalTag()

  Deprecated.

### setUseGlobalTag

    public void setUseGlobalTag(boolean useGlobalTag)

  Deprecated.

### getFlowStyle

    public DumperOptions.FlowStyle getFlowStyle()

  Deprecated.

### setFlowStyle

    public void setFlowStyle(DumperOptions.FlowStyle flowStyle)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.